Chart

Updates a Chart.

Updates a Chart.

PATCH/api/charts/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

Chart identifier

Request Body

application/json
required

The updated Chart resource

{
  "identifier": "key1",
  "jsConfiguration": "{type: 'line',data: {labels: ['Jan'...",
  "width": 500,
  "height": 300,
  "bgColor": "transparent",
  "chartJsVersion": "4",
  "active": true,
  "activeFrom": "2024-01-01"
}

Response

200application/json

Chart resource updated

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "key1"

jsConfiguration
string

Chart configuration. <<>> syntax is supported.

Example: "{type: 'line',data: {labels: ['Jan'..."

width
integer

Chart width

Example: 500

height
integer

Chart height

Example: 300

bgColor
string

Chart background color

Example: "transparent"

chartJsVersion
string

Chart JS version

Example: "4"

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"